=== debian/control ===
Source: bitcoin
Section: utils
Priority: optional
Maintainer: Jonas Smedegaard <dr@jones.dk>
Uploaders: Micah Anderson <micah@debian.org>
Build-Depends: cdbs,
 debhelper (>= 6),
 dh-buildinfo,
 libboost-system-dev (>> 1.35) | libboost-system1.35-dev,
 libdb++-dev | libdb4.6++-dev,
 libssl-dev,
 libcrypto++-dev,
 pkg-config,
 libglib2.0-dev,
 libminiupnpc-dev,
 libboost-filesystem-dev (>> 1.35) | libboost-filesystem1.35-dev,
 libboost-program-options-dev (>> 1.35) | libboost-program-options1.35-dev,
 libboost-thread-dev (>> 1.35) | libboost-thread1.35-dev
Standards-Version: 3.9.2
Homepage: http://www.bitcoin.org/
Vcs-Git: git://git.debian.org/git/collab-maint/bitcoin
Vcs-Browser: http://git.debian.org/?p=collab-maint/bitcoin.git

Package: bitcoind
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: ${cdbs:Suggests}
Description: peer-to-peer network based anonymous digital currency - daemon
 Bitcoin is a free open source peer-to-peer electronic cash system that
 is completely decentralized, without the need for a central server or
 trusted parties.  Users hold the crypto keys to their own money and
 transact directly with each other, with the help of a P2P network to
 check for double-spending.
 .
 By default connects to an IRC network to discover other peers.
 .
 Full transaction history is stored locally at each client.  This
 requires 150+ MB of space, slowly growing.
 .
 This package provides bitcoind, a combined daemon and CLI tool to
 interact with the daemon.
