=== debian/rules ===
--- 
+++ 
@@ -21,20 +21,13 @@
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/rules/utils.mk
 
-# suppress optional build-dependencies
-CDBS_BUILD_DEPENDS_rules_upstream-tarball =
-CDBS_BUILD_DEPENDS_rules_utils_copyright-check =
-
 DEB_UPSTREAM_URL = http://downloads.sourceforge.net/sourceforge/bitcoin
 DEB_UPSTREAM_TARBALL_BASENAME_MANGLE = s/~(alpha|beta|rc)/\1/,s/$$/-src/
 DEB_UPSTREAM_TARBALL_SRCDIR = $(DEB_UPSTREAM_PACKAGE)-$(DEB_UPSTREAM_TARBALL_VERSION)
-DEB_UPSTREAM_TARBALL_MD5 = 045e1b4efd609c5b502d05488a5393b5
-
-# unneeded external project sources
-DEB_UPSTREAM_REPACKAGE_EXCLUDES += ./src/cryptopp/
+DEB_UPSTREAM_TARBALL_MD5 = 4db3074a810d6bf457aa5e7468b745df
 
 # Silence .ico and .mo files in addition to the default debian files
-DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^src/rc/bitcoin.ico|locale/.*/LC_MESSAGES/.*.mo|debian/(changelog|copyright(|_hints|_newhints))$
+DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^contrib/Bitcoin.app/Contents/Resources/BitcoinAppIcon\.icns|contrib/gitian-downloader/sipa-key\.pgp|locale/.*/LC_MESSAGES/.*.mo|debian/(changelog|copyright(|_hints|_newhints))$
 
 DEB_BUILDDIR = src
 
@@ -42,6 +35,10 @@
 
 # Avoid GUI until wxWidget 2.9 is in Debian
 DEB_MAKE_BUILD_TARGET = bitcoind
+
+DEB_MAKE_CHECK_TARGET = test_bitcoin
+build/bitcoind::
+	$(if $(filter nocheck,$(DEB_BUILD_OPTIONS)),,src/test_bitcoin)
 
 # Readd default flags
 CXXFLAGS += -D__WXGTK__ -DNOPCH -DUSE_SSL
@@ -65,7 +62,7 @@
 
 CDBS_BUILD_DEPENDS += , $(call boostdep,system), libdb++-dev | libdb4.6++-dev, libssl-dev, libcrypto++-dev, pkg-config, libglib2.0-dev, libminiupnpc-dev
 # TODO: Drop this when maybe system json is used some day
-CDBS_BUILD_DEPENDS += , $(call boostdep,filesystem program-options thread)
+CDBS_BUILD_DEPENDS += , $(call boostdep,filesystem program-options thread test)
 
 # FIXME: when available, enable this and install into -gui package
 #CDBS_BUILD_DEPENDS += , libwxgtk2.9-dev
