=== debian/rules ===
--- 
+++ 
@@ -27,21 +27,18 @@
 DEB_UPSTREAM_TARBALL_MD5 = 4db3074a810d6bf457aa5e7468b745df
 
 # Silence .ico and .mo files in addition to the default debian files
-DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^contrib/Bitcoin.app/Contents/Resources/BitcoinAppIcon\.icns|contrib/gitian-downloader/sipa-key\.pgp|locale/.*/LC_MESSAGES/.*.mo|debian/(changelog|copyright(|_hints|_newhints))$
+DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^(src/qt/res/icons/.*\.png|contrib/Bitcoin.app/Contents/Resources/BitcoinAppIcon\.icns|contrib/gitian-downloader/sipa-key\.pgp|debian/(changelog|copyright(|_hints|_newhints)))$
 
 DEB_BUILDDIR = src
 
 DEB_MAKE_MAKEFILE = makefile.unix
-
-# Avoid GUI until wxWidget 2.9 is in Debian
-DEB_MAKE_BUILD_TARGET = bitcoind
 
 DEB_MAKE_CHECK_TARGET = test_bitcoin
 build/bitcoind::
 	$(if $(filter nocheck,$(DEB_BUILD_OPTIONS)),,src/test_bitcoin)
 
 # Readd default flags
-CXXFLAGS += -D__WXGTK__ -DNOPCH -DUSE_SSL
+CXXFLAGS += -DNOPCH -DUSE_SSL
 #CXXFLAGS += -Wno-invalid-offsetof -Wformat
 
 # Silence seemingly harmless noise about unused variables
@@ -60,12 +57,12 @@
 boostoldver = 1.35
 boostdep = $(foreach dep,$1,libboost-$(dep)$(boostver)-dev (>> $(boostoldver)) | libboost-$(dep)$(boostoldver)-dev$(comma) )
 
-CDBS_BUILD_DEPENDS += , $(call boostdep,system), libdb++-dev | libdb4.6++-dev, libssl-dev, libcrypto++-dev, pkg-config, libglib2.0-dev, libminiupnpc-dev
+CDBS_BUILD_DEPENDS += , $(call boostdep,system), libdb++-dev | libdb4.6++-dev, libssl-dev, pkg-config, libglib2.0-dev, libminiupnpc-dev
 # TODO: Drop this when maybe system json is used some day
 CDBS_BUILD_DEPENDS += , $(call boostdep,filesystem program-options thread test)
 
-# FIXME: when available, enable this and install into -gui package
-#CDBS_BUILD_DEPENDS += , libwxgtk2.9-dev
+# TODO: fix support DEB_QMAKE_BUILDDIR and install binary into -qt package
+#CDBS_BUILD_DEPENDS += , qt4-qmake, libqt4-dev
 
 CDBS_SUGGESTS_bitcoind = db-util, db4.8-util, db4.7-util
