=== debian/control ===
--- 
+++ 
@@ -10,7 +10,6 @@
  libboost-system-dev (>> 1.35) | libboost-system1.35-dev,
  libdb++-dev | libdb4.6++-dev,
  libssl-dev,
- libcrypto++-dev,
  pkg-config,
  libglib2.0-dev,
  libminiupnpc-dev,
