## bitcoin 0.5.2

=== debian/changelog ===
bitcoin (0.5.2-1) unstable; urgency=low

  * New upstream release.
  * Add lintian override for Build-dependency on versioned Berkeley DB:
    Used only as backporting-friendly fallback.
  * Strip word "anonymous" from short description: Wrong advertising!
  * Set HOME to build dir during regression tests.
    Closes: bug#645544. Thanks to Christoph Egger.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 21 Feb 2012 17:45:31 +0100
