=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: ${cdbs:Suggests}
-Description: peer-to-peer network based anonymous digital currency - daemon
+Description: peer-to-peer network based digital currency - daemon
  Bitcoin is a free open source peer-to-peer electronic cash system that
  is completely decentralized, without the need for a central server or
  trusted parties.  Users hold the crypto keys to their own money and
