=== debian/rules ===
--- 
+++ 
@@ -25,18 +25,19 @@
 DEB_UPSTREAM_TARBALL_BASENAME = v$(DEB_UPSTREAM_TARBALL_VERSION)
 DEB_UPSTREAM_TARBALL_BASENAME_MANGLE = s/~(alpha|beta|rc)/\1/
 DEB_UPSTREAM_WGET_OPTS += --no-check-certificate
-DEB_UPSTREAM_TARBALL_MD5 = dbc27461e8614fc9ec44b8ffa55b0496
+DEB_UPSTREAM_TARBALL_MD5 = 35dd6d3a67b1fd6ebe79409ce1dfa7e0
 
 # Ignore graphics and .mo files in addition to the default debian files
 DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^(doc/bitcoin_logo_doxygen\.png|src/qt/res/icons/.*\.png|contrib/Bitcoin.app/Contents/Resources/BitcoinAppIcon\.icns|contrib/gitian-downloader/sipa-key\.pgp|debian/(changelog|copyright(|_hints|_newhints)))$
 
-DEB_BUILDDIR = src
+DEB_SRCDIR = src
 
 DEB_MAKE_MAKEFILE = makefile.unix
 
 DEB_MAKE_CHECK_TARGET = test_bitcoin
 build/bitcoind::
-	$(if $(filter nocheck,$(DEB_BUILD_OPTIONS)),,src/test_bitcoin)
+	mkdir -p testhome
+	$(if $(filter nocheck,$(DEB_BUILD_OPTIONS)),,HOME="testhome" src/test_bitcoin)
 
 # Readd default flags
 CXXFLAGS += -DNOPCH -DUSE_SSL
@@ -75,6 +76,7 @@
 clean::
 	find src/obj -type f -not -name .gitignore -delete
 	rm -f src/bitcoind
+	rm -rf testhome
 
 # Ensure wrapper is set executable
 binary-post-install/bitcoind::
