=== debian/watch ===
# Run the "uscan" command to check for upstream updates and more.
version=3
opts=uversionmangle=s/(\d)(alpha|beta|rc)/$1~$2/,dversionmangle=s/~dfsg\d*// \
 http://githubredir.debian.net/githubredir.cgi?author=bitcoin&project=bitcoin .*/v(.*).tar.gz
