## bitcoin 0.6.2.2

=== debian/changelog ===
bitcoin (0.6.2.2-1ubuntu1) quantal; urgency=low

  * Use armel and armhf instead of any-arm, until Launchpad is made
    to recognize the latter (see bug #917708 in launchpad itself)

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 25 May 2012 00:07:58 -0600

bitcoin (0.6.2.2-1) unstable; urgency=low

  * New upstream release.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 13 May 2012 13:40:23 +0200

bitcoin (0.6.2.1-2) unstable; urgency=low

  * Fix build on wildcard any-arm (not bogus any-armel any-armhf).
    Really closes: bug#668868. Thanks to Jakub Wilk.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 10 May 2012 22:11:10 +0200

bitcoin (0.6.2.1-1) unstable; urgency=low

  * New upstream release.

  * Add -fpermissive to CXXFLAGS to work around build failure with gcc
    4.7.
    Closes: bug#667114. Thanks to Matthias Klose.
  * Only build on little-endian architectures: Upstream code does not
    support big-endian.
    Closes: bug#668868, #668864. Thanks to Dwayne C. Litzenberger.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 10 May 2012 14:09:46 +0200

bitcoin (0.6.1-1) unstable; urgency=low

  * New upstream release.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 05 May 2012 23:27:54 +0200

bitcoin (0.6.0-1) unstable; urgency=low

  * New upstream release.
  * Update copyright file:
    + Extend copyright years.
    + Add Files paragraph for new Stochastic address manager.
    + Bump format to 1.0.
    + Shorten comments, and quote license strings in them.
  * Stop setting HOME during regression tests: Fixed upstream.
  * Bump standards-version to 3.9.3.
  * Update Vcs-Browser field to use anonscm.debian.org URL.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 30 Mar 2012 20:00:48 +0200
