=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: bitcoin
 Section: utils
 Priority: optional
-Maintainer: Jonas Smedegaard <dr@jones.dk>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jonas Smedegaard <dr@jones.dk>
 Uploaders: Micah Anderson <micah@debian.org>
 Build-Depends: cdbs (>= 0.4.72~),
  debhelper,
@@ -17,13 +18,13 @@
  libboost-program-options-dev (>> 1.35) | libboost-program-options1.35-dev,
  libboost-thread-dev (>> 1.35) | libboost-thread1.35-dev,
  libboost-test-dev (>> 1.35) | libboost-test1.35-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://www.bitcoin.org/
 Vcs-Git: git://git.debian.org/git/collab-maint/bitcoin
-Vcs-Browser: http://git.debian.org/?p=collab-maint/bitcoin.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/bitcoin.git
 
 Package: bitcoind
-Architecture: any
+Architecture: any-alpha any-amd64 armel armhf any-i386 any-ia64 any-mipsel any-sh4
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: ${cdbs:Suggests}
 Description: peer-to-peer network based digital currency - daemon
