=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,7 @@
 DEB_UPSTREAM_TARBALL_BASENAME = v$(DEB_UPSTREAM_TARBALL_VERSION)
 DEB_UPSTREAM_TARBALL_BASENAME_MANGLE = s/~(alpha|beta|rc)/\1/
 DEB_UPSTREAM_WGET_OPTS += --no-check-certificate
-DEB_UPSTREAM_TARBALL_MD5 = 35dd6d3a67b1fd6ebe79409ce1dfa7e0
+DEB_UPSTREAM_TARBALL_MD5 = dd857e4ab9a92dd6049b55b242a64f4a
 
 # Ignore graphics and .mo files in addition to the default debian files
 DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^(doc/bitcoin_logo_doxygen\.png|src/qt/res/icons/.*\.png|contrib/Bitcoin.app/Contents/Resources/BitcoinAppIcon\.icns|contrib/gitian-downloader/sipa-key\.pgp|debian/(changelog|copyright(|_hints|_newhints)))$
@@ -36,8 +36,10 @@
 
 DEB_MAKE_CHECK_TARGET = test_bitcoin
 build/bitcoind::
-	mkdir -p testhome
-	$(if $(filter nocheck,$(DEB_BUILD_OPTIONS)),,HOME="testhome" src/test_bitcoin)
+	$(if $(filter nocheck,$(DEB_BUILD_OPTIONS)),,src/test_bitcoin)
+
+# work around build failure with gcc 4.7
+CXXFLAGS += -fpermissive
 
 # Readd default flags
 CXXFLAGS += -DNOPCH -DUSE_SSL
@@ -76,7 +78,6 @@
 clean::
 	find src/obj -type f -not -name .gitignore -delete
 	rm -f src/bitcoind
-	rm -rf testhome
 
 # Ensure wrapper is set executable
 binary-post-install/bitcoind::
