## bitcoin 0.7.2

=== debian/changelog ===
bitcoin (0.7.2-3) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Clean up hyphen handling and rewrite long line causing roff warning
    to one where word wrapping work better, to avoid lintian warning about
    bitcoin.conf.5.
  * Update Standards-Version from 3.9.3 to 3.9.4.  No changes needed.
  * Add patch and rules code to try to debug #672524.

 -- Scott Howard <showard@debian.org>  Thu, 07 Feb 2013 10:49:50 -0500

bitcoin (0.7.2-2) unstable; urgency=low

  [ Scott Howard ]
  * Update long description: Blockchain requires several GB of space.
    Closes: #677524. Thanks to Gwern Branwen.
  * Set $HOME to debian/home since buildd do not have RW permission to
    /home/buildd.
    Closes: #696262.

  [ Petter Reinholdtsen ]
  * Remove mentions on anonymity in manual page: Only true with a lot of
    extra effort, so misleading to claim that.
    Closes: #696477. Thanks to Matt Caorallo.
  * Add patch libdb-squeeze.patch to get src/db.cpp to support linkage
    against older versions of BerkeleyDB, easing backporting to Squeeze.
  * Stop build-depend needlessly on libglib2.0-dev.
  * Add new binary package bitcoin-qt for the GUI version of the bitcoin
    client, with DBus and QR code generation enabled.
    Build-depend on qt4-qmake, libqt4-dev and libqrencode-dev.
    Remove obsolete block about the missing GUI from README.Debian.
    Rename obsolete bitcoin-gui.menu to bitcoin-qt.menu and update
    title and section based on desktop file.  Enable some
    hardening using dpkg-buildflags, while skipping others because
    it breaks the build.
    Closes: #627263. Thanks to Leandro Lucarella and Matt Corallo.
  * Add manual page for bitcoin-qt from the git repository of
    Dmitry Smirnov.
  * Add setup to install bash completion rules for bitcoind
    in bitcoind package.  Based on work from Matt Corallo.

  [ Jonas Smedegaard ]
  * Add README.source referencing our use of CDBS and git-buildpackage.
  * Update copyright file:
    + List upstream issue tracker as preferred upstream contact.
  * Update package relations:
    + Simplify to drop Boost fallback build-dependencies: Needed only
      for backport to Lenny, which is no longer supported.
    + Bump fallback BerkeleyDB build-dependency to 4.8 (default version
      is in Squeeze), and stop suggesting older utils package than that.
    + Relax to build-depend unversioned on debhelper (i.e. revert
      tightening introduced in 0.7.2-1): Needed version satisfied in
      stable, and oldstable is no longer supported.
  * Drop NEWS file: Only entry was about change of BerkeleyDB version,
    which is no longer news for testing/unstable users, and package is
    not yet stable so not news there either.
  * Improve Qt client build by use of the CDBS qmake snippet, and
    building daemon and testsuite in per-package targets (because qmake
    doesn't support flavored builds).
  * Limit HOME hack to testsuite invocation.
  * Relax lintian override to cover bumped libdb++-dev
    fallback-dependency.
  * Tidy DEP3 header of patch 1002: Drop bogus or superfluous lines.
  * Add patch 2001 to stupify header generating script: Avoid uselessly
    inspect our git.
  * Add patch 1003 to remove autogenerated build/build.h in qmake
    distclean target.
  * Check for custom DEB_BUILD_OPTIONS=noupnp option, to ease
    backporting. Add note about it to README.source.
  * Add patch 1004 to use QImage.bits (not QImage.constBits), to ease
    backporting.
    Thanks to Petter Reinholdtsen.
  * Build-depend on libqtwebkit-dev: Apparently that is needed (linker
    error if missing).
  * Disable parallel builds: Perhaps cause of Qt linker errors.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 24 Dec 2012 05:27:25 +0100

bitcoin (0.7.2-1) unstable; urgency=low

  * New upstream source. (Closes: #689917)
    - DoS vulnerabillities:
      CVE-2012-3789 closed (Closes: #682676)
      CVE-2012-4683 and CVE-2012-4682 closed (Closes: #688813)
    - Block database no longer stored alongside wallet.dat
      (Closes: #660286)

  [ Jonas Smedegaard ]
  * Update watch file to directly use github.com (not
    githubredir.debian.net).
  * Update copyright file:
    + Update list of main upstream authors.
    + Drop obsolete Files section for sha256.cpp.
    + Add Files section for newly introduced bash-completion.
    + Fix use pseudo-comment section to obey silly restrictions of
      copyright format 1.0.
  * Bump debhelper compatibility level to 8.
  * Update package relations:
    + Relax to build-depend unversioned on cdbs: Needed version
      satisfied in stable, and oldstable no longer supported.

  [ Scott Howard ]
  * debian/control
    - Changed maintainer to: Debian Bitcoin Packaging Team
  * Added myself as uploader.
  * Enabled parallel building DEB_BUILD_PARALLEL
  * Updated debian/control description of bitcoind to state that the
    blockchain now is "several GB" large (Closes: #677524)

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 10 Nov 2012 23:22:04 +0100
