=== debian/control ===
Source: bitcoin
Section: utils
Priority: optional
Maintainer: Debian Bitcoin Packaging Team <pkg-bitcoin-devel@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>, Micah Anderson <micah@debian.org>,
 Scott Howard <showard@debian.org>
Build-Depends: cdbs,
 debhelper,
 dh-buildinfo,
 devscripts,
 libminiupnpc-dev,
 libboost-system-dev,
 libboost-filesystem-dev,
 libboost-program-options-dev,
 libboost-thread-dev,
 libboost-test-dev,
 libdb++-dev | libdb4.8++-dev,
 libssl-dev,
 pkg-config,
 qt4-qmake,
 libqt4-dev,
 libqrencode-dev
Standards-Version: 3.9.4
Homepage: http://www.bitcoin.org/
Vcs-Git: git://git.debian.org/git/collab-maint/bitcoin
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/bitcoin.git

Package: bitcoind
Architecture: any-alpha any-amd64 any-arm any-i386 any-ia64 any-mipsel any-sh4
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: ${cdbs:Suggests}
Description: peer-to-peer network based digital currency - daemon
 Bitcoin is a free open source peer-to-peer electronic cash system that
 is completely decentralized, without the need for a central server or
 trusted parties.  Users hold the crypto keys to their own money and
 transact directly with each other, with the help of a P2P network to
 check for double-spending.
 .
 By default connects to an IRC network to discover other peers.
 .
 Full transaction history is stored locally at each client.  This
 requires several GB of space, slowly growing.
 .
 This package provides bitcoind, a combined daemon and CLI tool to
 interact with the daemon.

Package: bitcoin-qt
Architecture: any-alpha any-amd64 any-arm any-i386 any-ia64 any-mipsel any-sh4
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: ${cdbs:Suggests}
Description: peer-to-peer network based digital currency - GUI
 Bitcoin is a free open source peer-to-peer electronic cash system that
 is completely decentralized, without the need for a central server or
 trusted parties.  Users hold the crypto keys to their own money and
 transact directly with each other, with the help of a P2P network to
 check for double-spending.
 .
 By default connects to an IRC network to discover other peers.
 .
 Full transaction history is stored locally at each client.  This
 requires several GB of space, slowly growing.
 .
 This package provides Bitcoin-Qt, a GUI for Bitcoin based on Qt.
