## bitcoin 0.8.1

=== debian/changelog ===
bitcoin (0.8.1-1) experimental; urgency=low

  * New upstream release (Closes: #700910, Closes: #701085, Closes: #703213)
    (LP: #1130638)
  * debian/patches
    - Removed 1004_conservative_qt-dbus.patch applied upstream
    - New 1005_use_system_libleveldb.patch
      use system leveldb, build convenience copy of libmemenv.a but only
      linked against test suite which is not distributed
  * removed depricated Encoding key from bitcoin-qt.desktop

 -- Scott Howard <showard@debian.org>  Tue, 26 Feb 2013 14:10:15 -0500
