=== debian/rules ===
--- 
+++ 
@@ -28,7 +28,7 @@
 DEB_UPSTREAM_URL = https://github.com/bitcoin/bitcoin/archive
 DEB_UPSTREAM_TARBALL_BASENAME = v$(DEB_UPSTREAM_TARBALL_VERSION)
 DEB_UPSTREAM_TARBALL_BASENAME_MANGLE = s/~(alpha|beta|rc)/\1/
-DEB_UPSTREAM_TARBALL_MD5 = e019911ef8c6d7c33915560e98c188a5
+DEB_UPSTREAM_TARBALL_MD5 = d767f23fa7a2ce0143f738b30deb32e0
 
 # Ignore graphics and .mo files in addition to the default debian files
 DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^(doc/bitcoin_logo_doxygen\.png|src/qt/res/icons/.*\.png|contrib/Bitcoin.app/Contents/Resources/BitcoinAppIcon\.icns|contrib/gitian-downloader/sipa-key\.pgp|debian/(changelog|copyright(|_hints|_newhints)))$
@@ -99,7 +99,7 @@
 CDBS_BUILD_DEPENDS += , libdb$(bdbver)++-dev | libdb$(bdbstablever)++-dev
 CDBS_SUGGESTS_bitcoind = db$(bdbver)-util, db$(bdbstablever)-util
 
-CDBS_BUILD_DEPENDS += , libssl-dev, pkg-config
+CDBS_BUILD_DEPENDS += , libssl-dev, pkg-config, libleveldb-dev
 
 # Build dependencies for the bitcoin-qt package
 CDBS_BUILD_DEPENDS += , qt4-qmake, libqt4-dev, libqrencode-dev
